import DataWrap from '@/components/data/DataWrap'
import { Button } from 'antd'
import { useDataQuery } from '@/hooks/useQuery'
import { useAIStore } from '@/stores/ai'

export default function DataWriteUpload() {
  const { post, isLoading } = useAIStore()
  const { data } = useDataQuery()

  function handleClick(type: number) {
    if (type == 1) {
      post({
        content: '请仔细阅读我给你的数据集里面的数据，然后帮助我详细解释一下数据集里面每一个字段的含义。',
        extra: JSON.stringify(data.list),
      })
    } else {
      post({
        content: '请仔细阅读我给你的数据集里面的数据，然后帮助我梳理数据集里面字段与字段之间的业务逻辑关系。',
        extra: JSON.stringify(data.list),
      })
    }
  }

  return (
    <DataWrap
      title="数据理解"
      buttons={
        <>
          <Button type="primary" onClick={() => handleClick(1)} loading={isLoading}>
            一键理解数据字段
          </Button>
          <Button type="primary" onClick={() => handleClick(2)} loading={isLoading}>
            一键梳理字段关系
          </Button>
        </>
      }></DataWrap>
  )
}
